require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_IP_VS_H)) {
    eval 'sub _IP_VS_H () {1;}' unless defined(&_IP_VS_H);
    require 'linux/types.ph';
    eval 'sub IP_VS_VERSION_CODE () {0x10201;}' unless defined(&IP_VS_VERSION_CODE);
    eval 'sub NVERSION {
        my($version) = @_;
	    eval q(($version >> 16) & 0xff, ($version >> 8) & 0xff, $version & 0xff);
    }' unless defined(&NVERSION);
    eval 'sub IP_VS_SVC_F_PERSISTENT () {0x1;}' unless defined(&IP_VS_SVC_F_PERSISTENT);
    eval 'sub IP_VS_SVC_F_HASHED () {0x2;}' unless defined(&IP_VS_SVC_F_HASHED);
    eval 'sub IP_VS_DEST_F_AVAILABLE () {0x1;}' unless defined(&IP_VS_DEST_F_AVAILABLE);
    eval 'sub IP_VS_DEST_F_OVERLOAD () {0x2;}' unless defined(&IP_VS_DEST_F_OVERLOAD);
    eval 'sub IP_VS_STATE_NONE () {0x;}' unless defined(&IP_VS_STATE_NONE);
    eval 'sub IP_VS_STATE_MASTER () {0x1;}' unless defined(&IP_VS_STATE_MASTER);
    eval 'sub IP_VS_STATE_BACKUP () {0x2;}' unless defined(&IP_VS_STATE_BACKUP);
    eval 'sub IP_VS_BASE_CTL () {(64+1024+64);}' unless defined(&IP_VS_BASE_CTL);
    eval 'sub IP_VS_SO_SET_NONE () { &IP_VS_BASE_CTL;}' unless defined(&IP_VS_SO_SET_NONE);
    eval 'sub IP_VS_SO_SET_INSERT () {( &IP_VS_BASE_CTL+1);}' unless defined(&IP_VS_SO_SET_INSERT);
    eval 'sub IP_VS_SO_SET_ADD () {( &IP_VS_BASE_CTL+2);}' unless defined(&IP_VS_SO_SET_ADD);
    eval 'sub IP_VS_SO_SET_EDIT () {( &IP_VS_BASE_CTL+3);}' unless defined(&IP_VS_SO_SET_EDIT);
    eval 'sub IP_VS_SO_SET_DEL () {( &IP_VS_BASE_CTL+4);}' unless defined(&IP_VS_SO_SET_DEL);
    eval 'sub IP_VS_SO_SET_FLUSH () {( &IP_VS_BASE_CTL+5);}' unless defined(&IP_VS_SO_SET_FLUSH);
    eval 'sub IP_VS_SO_SET_LIST () {( &IP_VS_BASE_CTL+6);}' unless defined(&IP_VS_SO_SET_LIST);
    eval 'sub IP_VS_SO_SET_ADDDEST () {( &IP_VS_BASE_CTL+7);}' unless defined(&IP_VS_SO_SET_ADDDEST);
    eval 'sub IP_VS_SO_SET_DELDEST () {( &IP_VS_BASE_CTL+8);}' unless defined(&IP_VS_SO_SET_DELDEST);
    eval 'sub IP_VS_SO_SET_EDITDEST () {( &IP_VS_BASE_CTL+9);}' unless defined(&IP_VS_SO_SET_EDITDEST);
    eval 'sub IP_VS_SO_SET_TIMEOUT () {( &IP_VS_BASE_CTL+10);}' unless defined(&IP_VS_SO_SET_TIMEOUT);
    eval 'sub IP_VS_SO_SET_STARTDAEMON () {( &IP_VS_BASE_CTL+11);}' unless defined(&IP_VS_SO_SET_STARTDAEMON);
    eval 'sub IP_VS_SO_SET_STOPDAEMON () {( &IP_VS_BASE_CTL+12);}' unless defined(&IP_VS_SO_SET_STOPDAEMON);
    eval 'sub IP_VS_SO_SET_RESTORE () {( &IP_VS_BASE_CTL+13);}' unless defined(&IP_VS_SO_SET_RESTORE);
    eval 'sub IP_VS_SO_SET_SAVE () {( &IP_VS_BASE_CTL+14);}' unless defined(&IP_VS_SO_SET_SAVE);
    eval 'sub IP_VS_SO_SET_ZERO () {( &IP_VS_BASE_CTL+15);}' unless defined(&IP_VS_SO_SET_ZERO);
    eval 'sub IP_VS_SO_SET_MAX () { &IP_VS_SO_SET_ZERO;}' unless defined(&IP_VS_SO_SET_MAX);
    eval 'sub IP_VS_SO_GET_VERSION () { &IP_VS_BASE_CTL;}' unless defined(&IP_VS_SO_GET_VERSION);
    eval 'sub IP_VS_SO_GET_INFO () {( &IP_VS_BASE_CTL+1);}' unless defined(&IP_VS_SO_GET_INFO);
    eval 'sub IP_VS_SO_GET_SERVICES () {( &IP_VS_BASE_CTL+2);}' unless defined(&IP_VS_SO_GET_SERVICES);
    eval 'sub IP_VS_SO_GET_SERVICE () {( &IP_VS_BASE_CTL+3);}' unless defined(&IP_VS_SO_GET_SERVICE);
    eval 'sub IP_VS_SO_GET_DESTS () {( &IP_VS_BASE_CTL+4);}' unless defined(&IP_VS_SO_GET_DESTS);
    eval 'sub IP_VS_SO_GET_DEST () {( &IP_VS_BASE_CTL+5);}' unless defined(&IP_VS_SO_GET_DEST);
    eval 'sub IP_VS_SO_GET_TIMEOUT () {( &IP_VS_BASE_CTL+6);}' unless defined(&IP_VS_SO_GET_TIMEOUT);
    eval 'sub IP_VS_SO_GET_DAEMON () {( &IP_VS_BASE_CTL+7);}' unless defined(&IP_VS_SO_GET_DAEMON);
    eval 'sub IP_VS_SO_GET_MAX () { &IP_VS_SO_GET_DAEMON;}' unless defined(&IP_VS_SO_GET_MAX);
    eval 'sub IP_VS_CONN_F_FWD_MASK () {0x7;}' unless defined(&IP_VS_CONN_F_FWD_MASK);
    eval 'sub IP_VS_CONN_F_MASQ () {0x;}' unless defined(&IP_VS_CONN_F_MASQ);
    eval 'sub IP_VS_CONN_F_LOCALNODE () {0x1;}' unless defined(&IP_VS_CONN_F_LOCALNODE);
    eval 'sub IP_VS_CONN_F_TUNNEL () {0x2;}' unless defined(&IP_VS_CONN_F_TUNNEL);
    eval 'sub IP_VS_CONN_F_DROUTE () {0x3;}' unless defined(&IP_VS_CONN_F_DROUTE);
    eval 'sub IP_VS_CONN_F_BYPASS () {0x4;}' unless defined(&IP_VS_CONN_F_BYPASS);
    eval 'sub IP_VS_CONN_F_SYNC () {0x20;}' unless defined(&IP_VS_CONN_F_SYNC);
    eval 'sub IP_VS_CONN_F_HASHED () {0x40;}' unless defined(&IP_VS_CONN_F_HASHED);
    eval 'sub IP_VS_CONN_F_NOOUTPUT () {0x80;}' unless defined(&IP_VS_CONN_F_NOOUTPUT);
    eval 'sub IP_VS_CONN_F_INACTIVE () {0x100;}' unless defined(&IP_VS_CONN_F_INACTIVE);
    eval 'sub IP_VS_CONN_F_OUT_SEQ () {0x200;}' unless defined(&IP_VS_CONN_F_OUT_SEQ);
    eval 'sub IP_VS_CONN_F_IN_SEQ () {0x400;}' unless defined(&IP_VS_CONN_F_IN_SEQ);
    eval 'sub IP_VS_CONN_F_SEQ_MASK () {0x600;}' unless defined(&IP_VS_CONN_F_SEQ_MASK);
    eval 'sub IP_VS_CONN_F_NO_CPORT () {0x800;}' unless defined(&IP_VS_CONN_F_NO_CPORT);
    eval 'sub IP_VS_CONN_F_TEMPLATE () {0x1000;}' unless defined(&IP_VS_CONN_F_TEMPLATE);
    eval 'sub IP_VS_SCHEDNAME_MAXLEN () {16;}' unless defined(&IP_VS_SCHEDNAME_MAXLEN);
    eval 'sub IP_VS_IFNAME_MAXLEN () {16;}' unless defined(&IP_VS_IFNAME_MAXLEN);
}
1;
