require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_LINUX_QUOTA_)) {
    eval 'sub _LINUX_QUOTA_ () {1;}' unless defined(&_LINUX_QUOTA_);
    require 'linux/errno.ph';
    require 'linux/types.ph';
    eval 'sub __DQUOT_VERSION__ () {"dquot_6.5.1";}' unless defined(&__DQUOT_VERSION__);
    eval 'sub __DQUOT_NUM_VERSION__ () {6*10000+5*100+1;}' unless defined(&__DQUOT_NUM_VERSION__);
    eval 'sub QUOTABLOCK_BITS () {10;}' unless defined(&QUOTABLOCK_BITS);
    eval 'sub QUOTABLOCK_SIZE () {(1<<  &QUOTABLOCK_BITS);}' unless defined(&QUOTABLOCK_SIZE);
    eval 'sub qb2kb {
        my($x) = @_;
	    eval q((($x) << ( &QUOTABLOCK_BITS-10)));
    }' unless defined(&qb2kb);
    eval 'sub kb2qb {
        my($x) = @_;
	    eval q((($x) >> ( &QUOTABLOCK_BITS-10)));
    }' unless defined(&kb2qb);
    eval 'sub toqb {
        my($x) = @_;
	    eval q(((($x) +  &QUOTABLOCK_SIZE - 1) >>  &QUOTABLOCK_BITS));
    }' unless defined(&toqb);
    eval 'sub MAXQUOTAS () {2;}' unless defined(&MAXQUOTAS);
    eval 'sub USRQUOTA () {0;}' unless defined(&USRQUOTA);
    eval 'sub GRPQUOTA () {1;}' unless defined(&GRPQUOTA);
    eval 'sub INITQFNAMES () {{ "user", "group", "undefined", };;}' unless defined(&INITQFNAMES);
    eval 'sub SUBCMDMASK () {0xff;}' unless defined(&SUBCMDMASK);
    eval 'sub SUBCMDSHIFT () {8;}' unless defined(&SUBCMDSHIFT);
    eval 'sub QCMD {
        my($cmd, $type) = @_;
	    eval q(((($cmd) <<  &SUBCMDSHIFT) | (($type) &  &SUBCMDMASK)));
    }' unless defined(&QCMD);
    eval 'sub Q_SYNC () {0x800001;}' unless defined(&Q_SYNC);
    eval 'sub Q_QUOTAON () {0x800002;}' unless defined(&Q_QUOTAON);
    eval 'sub Q_QUOTAOFF () {0x800003;}' unless defined(&Q_QUOTAOFF);
    eval 'sub Q_GETFMT () {0x800004;}' unless defined(&Q_GETFMT);
    eval 'sub Q_GETINFO () {0x800005;}' unless defined(&Q_GETINFO);
    eval 'sub Q_SETINFO () {0x800006;}' unless defined(&Q_SETINFO);
    eval 'sub Q_GETQUOTA () {0x800007;}' unless defined(&Q_GETQUOTA);
    eval 'sub Q_SETQUOTA () {0x800008;}' unless defined(&Q_SETQUOTA);
    eval 'sub QIF_BLIMITS () {1;}' unless defined(&QIF_BLIMITS);
    eval 'sub QIF_SPACE () {2;}' unless defined(&QIF_SPACE);
    eval 'sub QIF_ILIMITS () {4;}' unless defined(&QIF_ILIMITS);
    eval 'sub QIF_INODES () {8;}' unless defined(&QIF_INODES);
    eval 'sub QIF_BTIME () {16;}' unless defined(&QIF_BTIME);
    eval 'sub QIF_ITIME () {32;}' unless defined(&QIF_ITIME);
    eval 'sub QIF_LIMITS () {( &QIF_BLIMITS |  &QIF_ILIMITS);}' unless defined(&QIF_LIMITS);
    eval 'sub QIF_USAGE () {( &QIF_SPACE |  &QIF_INODES);}' unless defined(&QIF_USAGE);
    eval 'sub QIF_TIMES () {( &QIF_BTIME |  &QIF_ITIME);}' unless defined(&QIF_TIMES);
    eval 'sub QIF_ALL () {( &QIF_LIMITS |  &QIF_USAGE |  &QIF_TIMES);}' unless defined(&QIF_ALL);
    eval 'sub IIF_BGRACE () {1;}' unless defined(&IIF_BGRACE);
    eval 'sub IIF_IGRACE () {2;}' unless defined(&IIF_IGRACE);
    eval 'sub IIF_FLAGS () {4;}' unless defined(&IIF_FLAGS);
    eval 'sub IIF_ALL () {( &IIF_BGRACE |  &IIF_IGRACE |  &IIF_FLAGS);}' unless defined(&IIF_ALL);
    eval 'sub QUOTA_NL_NOWARN () {0;}' unless defined(&QUOTA_NL_NOWARN);
    eval 'sub QUOTA_NL_IHARDWARN () {1;}' unless defined(&QUOTA_NL_IHARDWARN);
    eval 'sub QUOTA_NL_ISOFTLONGWARN () {2;}' unless defined(&QUOTA_NL_ISOFTLONGWARN);
    eval 'sub QUOTA_NL_ISOFTWARN () {3;}' unless defined(&QUOTA_NL_ISOFTWARN);
    eval 'sub QUOTA_NL_BHARDWARN () {4;}' unless defined(&QUOTA_NL_BHARDWARN);
    eval 'sub QUOTA_NL_BSOFTLONGWARN () {5;}' unless defined(&QUOTA_NL_BSOFTLONGWARN);
    eval 'sub QUOTA_NL_BSOFTWARN () {6;}' unless defined(&QUOTA_NL_BSOFTWARN);
    eval 'sub QUOTA_NL_IHARDBELOW () {7;}' unless defined(&QUOTA_NL_IHARDBELOW);
    eval 'sub QUOTA_NL_ISOFTBELOW () {8;}' unless defined(&QUOTA_NL_ISOFTBELOW);
    eval 'sub QUOTA_NL_BHARDBELOW () {9;}' unless defined(&QUOTA_NL_BHARDBELOW);
    eval 'sub QUOTA_NL_BSOFTBELOW () {10;}' unless defined(&QUOTA_NL_BSOFTBELOW);
    eval("sub QUOTA_NL_C_UNSPEC () { 0; }") unless defined(&QUOTA_NL_C_UNSPEC);
    eval("sub QUOTA_NL_C_WARNING () { 1; }") unless defined(&QUOTA_NL_C_WARNING);
    eval("sub __QUOTA_NL_C_MAX () { 2; }") unless defined(&__QUOTA_NL_C_MAX);
    eval 'sub QUOTA_NL_C_MAX () {( &__QUOTA_NL_C_MAX - 1);}' unless defined(&QUOTA_NL_C_MAX);
    eval("sub QUOTA_NL_A_UNSPEC () { 0; }") unless defined(&QUOTA_NL_A_UNSPEC);
    eval("sub QUOTA_NL_A_QTYPE () { 1; }") unless defined(&QUOTA_NL_A_QTYPE);
    eval("sub QUOTA_NL_A_EXCESS_ID () { 2; }") unless defined(&QUOTA_NL_A_EXCESS_ID);
    eval("sub QUOTA_NL_A_WARNING () { 3; }") unless defined(&QUOTA_NL_A_WARNING);
    eval("sub QUOTA_NL_A_DEV_MAJOR () { 4; }") unless defined(&QUOTA_NL_A_DEV_MAJOR);
    eval("sub QUOTA_NL_A_DEV_MINOR () { 5; }") unless defined(&QUOTA_NL_A_DEV_MINOR);
    eval("sub QUOTA_NL_A_CAUSED_ID () { 6; }") unless defined(&QUOTA_NL_A_CAUSED_ID);
    eval("sub __QUOTA_NL_A_MAX () { 7; }") unless defined(&__QUOTA_NL_A_MAX);
    eval 'sub QUOTA_NL_A_MAX () {( &__QUOTA_NL_A_MAX - 1);}' unless defined(&QUOTA_NL_A_MAX);
    require 'sys/cdefs.ph';
}
1;
